Fetch the consent configuration
GET
/settings/consent
Authorizations
bearerToken|siteContext +
bearerToken
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
TypeHTTP (bearer)
siteContext
Identifier of the site context when authenticating with a personal access token.
TypeAPI Key (header: X-Nimbu-Site)
or
siteToken
Site-scoped API token that already encodes the site context.
TypeHTTP (bearer)
Responses
configuration returned
application/json
JSON
{
"privacy_policy_kind": "string",
"privacy_policy_url": {
},
"privacy_policy_page_id": "string",
"purposes": [
{
"name": "string",
"description": {
}
}
],
"applications": [
{
"name": "string",
"title": {
},
"description": {
},
"purposes": [
"string"
],
"required": true,
"default": true,
"opt_out": true,
"placeholder_message": {
},
"placeholder_action": {
},
"cookies": [
{
}
]
}
],
"cookies": [
{
"id": "string",
"name": "string",
"path": "string",
"domain": "string",
"application": "string"
}
]
}